Bug 202106 - Java applets crash firefox using gcjwebplugin
Summary: Java applets crash firefox using gcjwebplugin
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL: http://mave.tajunta.com/applets/test....
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-10 19:59 UTC by Mauri Korkeala
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 20:49:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mauri Korkeala 2006-08-10 19:59:07 UTC
Description of problem:
When accessing web site containing any Java applet, firefox asks if I wan't to
run the despite the still incomplete GNU Classpath's security implementation.
Answering 'Trust Applet' or 'Trust Applet and add it to whitelist' hangs the
firefox.

I'm not sure if this is Firefox problem.  gcjwebplugin problem or something else
related.

Version-Release number of selected component (if applicable):
FC6 test 2 with latest updates.
Firefox 1.5.0.6-3
java-1.4.2-gcj-compat-plugin-1.4.2.0.40jpp_100rh.i386


How reproducible:
Reproducible everytime with every applet.

Steps to Reproduce:
1. start firefox
2. browse to page containing any Java applet, example
http://mave.tajunta.com/applets/test.html
3. Trust applet
  
Actual results:
Firefox hangs

Expected results:
Applet is displayed

Additional info:
The applet provided in the URL is really simple applet with out any Threads just
coloring the applet area. (Src included)

Comment 1 Mauri Korkeala 2006-08-11 07:55:54 UTC
This could be SELinux issue, as reported on fedora-devel list:
https://www.redhat.com/archives/fedora-devel-list/2006-August/msg00380.html

I don't have my laptop with me at the moment, so I can't test this right now. 

Comment 2 Mauri Korkeala 2006-08-11 16:57:20 UTC
Indeed, executing as root:
setsebool allow_execmem=1
fixes the problem, so this seems to be SELinux configuration problem.

I'm using the (default) Enforsing SELinux policy.
Versions:
selinux-policy-2.3.6-3
selinux-policy-targeted-2.3.6-3
libselinux-1.30.22-2

Comment 3 Daniel Walsh 2006-10-05 12:02:29 UTC
Does this java plugin get run as a separate executable or is loaded in as a
shared library?

Could you attach any avc messages that you see in /var/log/messages or
/var/log/audit/audit.log?

Comment 4 Daniel Walsh 2007-02-14 20:49:28 UTC
Since no responce, I will close.

Comment 5 Mauri Korkeala 2007-02-15 07:43:44 UTC
Sorry for not been tracking this, I already moved to other releases before the
request for more information arrived:(

Yes, we can close this as i've upgraded the system to later version long time
ago and currently it doesn't have the gcjwebplugin configured. [ The NOTABUG
status is bit weird, but hopefully it's fixed now;) ]


Note You need to log in before you can comment on or make changes to this bug.